import request from '@/axios'
export default {
  //查询订单列表
	getorderlists(data) {
		return request({
			url: '/order/list',
			method: 'get',
			params: data
		})
	},

  /**
	 * @param {Object} data
	 * 查询订单商品退款列表
	 */
	orderRefundList(data) {
		return request({
			url: '/order/refund/list',
			method: 'get',
			params: data
		})
	},

  
	refundSmallOrder(data) {
		return request({
			url: '/order/refund',
			method: 'post',
			data: data
		})
	},

  eddOrder(data) {
		return request({
			url: '/order/edit',
			method: 'post',
			data: data
		})
	},
  
  orderPayStatus(data) {
		return request({
			url: '/order/'+data,
			method: 'get'
		})
	},

  orderResumePCOrder(data) {
		return request({
			url: '/order/resumePCOrder',
			method: 'post',
      data
		})
	},

  orderInvoiceList(data) {
		return request({
			url: '/order/invoice/list',
			method: 'get',
			params: data
		})
	},

  orderInvoiceCancel(data) {
		return request({
			url: '/order/invoice/cancel',
			method: 'post',
			data: data
		})
	},

  orderInvoiceCanInvoiceList(data) {
		return request({
			url: '/order/invoice/canInvoiceList',
			method: 'get',
			params: data
		})
	},

  orderInvoice(data) {
		return request({
			url: '/order/invoice',
			method: 'post',
			data: data
		})
	},

  orderUserEduList(data) {
		return request({
			url: '/order/userEduList',
			method: 'get',
			params: data
		})
	},

  
	orderInfo(data) {
		return request({
			url: '/order/info',
			method: 'get',
			params: data
		})
	},

  orderDetail(data) {
		return request({
			url: '/order/detail/'+data,
			method: 'get'
		})
	},

  orderGoodsList(data) {
		return request({
			url: '/order/goods/list',
			method: 'get',
      params:data,
		})
	},

  orderUserAllBusinessList(data) {
		return request({
			url: '/order/userAllBusinessList',
			method: 'get',
			params: data
		})
	}
  
  
  
  
}